#!/usr/bin/gnuplot

cmd = sprintf("awk 'BEGIN{ min=1e38; }{ chi=$%d; if ((chi<min) && (chi>0.0)){ min=chi; } }END{ print min; }' chi2_func.tmp_1", c)
chi2 = system(cmd)
chi2 = chi2<1.0 ? 1.0 : chi2
print "chi2 = ", chi2
print "fac = ", fac

set table sprintf("q1_q2_%s.tmp", s)
set dgrid3d 200,200,8
f(x) = x<fac*chi2 ? x : fac*chi2
splot sprintf("<awk '($%d>0.0)' chi2_func.tmp_1", c) u 19:21:(f(column(c)))
unset table
unset dgrid3d

set xl "log {/Helvetica-Oblique e}_2"
set yl "{/Helvetica-Oblique C20}_1"
set tit sprintf("%s", s) offset -1,0

set autoscale fix
x1=0
x2=1
y1=0
y2=1.5
#set xr [x1:x2]
#set yr [y1:y2]
set cbr [chi2-1:fac*chi2]
set cbtics font "Helvetica,14"
set logscale z
set xyplane 0.0
set view 0,0
#set pm3d map
#set size ratio -1

set palette defined (\
  0.0  'cyan',\
  0.05 'blue',\
  0.5  'white',\
  1.0  '#ff9900' \
  )

sp \
  sprintf("q1_q2_%s.tmp", s) not w pm3d,\
  sprintf("<awk 'BEGIN{ min=1e38; }{ chi=$%d; if (chi<min) { min=chi; s=$0; }}END{ print s; }' chi2_func.tmp_1", 69) u 19:21:(column(69)) not w p pt 6 ps 3 lw 3 lc 'red',\
  "chi2_func.tmp_1" u 19:21:(column(c)) not w p pt 1 ps 0.5 lc 'black',\
  "chi2_func.tmp_1" u 19:21:(column(c)):(sprintf("    %.0f", column(c))) not w labels font "Helvetica,8" left,\

pa -1


set term post eps enh color solid "Helvetica" 18
set out sprintf("q1_q2_%s.eps", s)
rep

system(sprintf("patch q1_q2_%s.eps common.diff", s))


